Issue #4239 has been updated by Charles Nutter.


JRuby's 1.9 support is perhaps not complete, but it's good enough that we can run a very high percentage of RubySpecs, most Rails tests, and Rails itself is able to generate, scaffold, boot, and serve dynamic pages. It's looking very good.

If we get a lot of help from users (and maybe help from ruby-core), it may be possible to set 1.9 mode as the default mode for JRuby in the next release. I believe that would help 1.9 adoption and help age out 1.8.
----------------------------------------
http://redmine.ruby-lang.org/issues/show/4239

----------------------------------------
http://redmine.ruby-lang.org